Page MenuHomePhabricator

Decide on a plan to offer GitHub as authentication provider
Closed, DeclinedPublic

Description

From all the 3rd party authentication providers supported by Phabricator, GitHub seems to be the main one (and maybe the only) that makes sense to consider in our instance at Wikimedia. We need to decide whether we will offer GitHub login or not, and whether we will offer it before or after Day 1.

There are ongoing discussions at T40 and this wikitech-l thread.

Details

Reference
fl337

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:36 AM
flimport set Reference to fl337.

mmodell wrote on 2014-07-29 16:34:06 (UTC)

do we really need this?

qgil wrote on 2014-07-29 20:09:33 (UTC)

In any case, I don't think it is a blocker for Day 1. It might make sense the day we close Gerrit and open Differential, but even for that case I would wait and see whether Wikimedia SUL alone fits the bill.

mattflaschen wrote on 2014-07-29 22:53:06 (UTC)

In T337#11, @Qgil wrote:

In any case, I don't think it is a blocker for Day 1. It might make sense the day we close Gerrit and open Differential, but even for that case I would wait and see whether Wikimedia SUL alone fits the bill.

I don't think we should do it. It's not necessary. If you're working on MediaWiki-related tasks (or just intend to), you either have a MediaWiki.org and/or SUL account or can easily get one. And once you have it you'll probably use it for more than just this.

I don't see why switching to Differential would make it a better idea (a GItHub -> Differential bridge would be nice for new contributors, but that doesn't require this, since a bot can just upload it, similar to https://reviews.facebook.net/rHHVM3efd6dc1755589b1894c606081b9f895a3e37910 ).

mattflaschen wrote on 2014-07-31 04:28:02 (UTC)

Marking as WONTFIX. No one has come out really in favor, and there are various issues (not really necessary, depending on a proprietary third party service, privacy).

aklapper wrote on 2014-08-18 21:08:44 (UTC)

[Fixing task status again which got munged when renaming according to T359.]

importing issue status

flimport closed this task as Declined.Sep 12 2014, 1:36 AM
flimport added a subscriber: bd808.
flimport added a subscriber: csteipp.